> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the specified replication credential.

> This can be used to associate an app ID with the credential,
and/or upload cert chains for the credential.

## OpenAPI

````json PATCH /sys/v1/accounts/{acct_id}/replication/credentials/{credential_id}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/accounts/{acct_id}/replication/credentials/{credential_id}": {
      "patch": {
        "operationId": "UpdateReplicationCredential",
        "tags": [
          "Accounts"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Update the specified replication credential.",
        "description": "This can be used to associate an app ID with the credential,\nand/or upload cert chains for the credential.",
        "parameters": [
          {
            "name": "acct_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "credential_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateReplicationCredentialRequest"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ReplicationCredential"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "UpdateReplicationCredentialRequest": {
        "description": "A request to update a replication credential (e.g., associating it with\nan app ID).\n\nNote that changing the credential from one type to another is disallowed;\nusers should create a new credential instead.",
        "oneOf": [
          {
            "$ref": "#/components/schemas/UpdateReplicationCredentialRequestVariantCertificate"
          }
        ],
        "discriminator": {
          "propertyName": "$type",
          "mapping": {
            "Certificate": "UpdateReplicationCredentialRequestVariantCertificate"
          }
        }
      },
      "ReplicationCredential": {
        "description": "Details about the admin app credential used to replicate objects from the source account.",
        "oneOf": [
          {
            "$ref": "#/components/schemas/ReplicationCredentialVariantCertificate"
          }
        ],
        "discriminator": {
          "propertyName": "$type",
          "mapping": {
            "Certificate": "ReplicationCredentialVariantCertificate"
          }
        }
      },
      "UpdateReplicationCredentialRequestVariantCertificate": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "$type": {
                "type": "string",
                "enum": [
                  "Certificate"
                ]
              }
            },
            "required": [
              "$type"
            ]
          },
          {
            "$ref": "#/components/schemas/UpdateCertificateReplicationCredentialRequest"
          }
        ]
      },
      "ReplicationCredentialVariantCertificate": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "$type": {
                "type": "string",
                "enum": [
                  "Certificate"
                ]
              }
            },
            "required": [
              "$type"
            ]
          },
          {
            "$ref": "#/components/schemas/CertificateReplicationCredential"
          }
        ]
      },
      "UpdateCertificateReplicationCredentialRequest": {
        "allOf": [
          {
            "type": "object",
            "description": "A request to update a certificate-based replication credential.",
            "properties": {
              "app_id": {
                "type": "string",
                "format": "uuid",
                "nullable": true,
                "description": "The app ID to associate with the credential. This should be the ID of\na source-side admin app."
              },
              "certificate_chain": {
                "type": "array",
                "items": {
                  "type": "string",
                  "format": "byte"
                },
                "nullable": true,
                "description": "The certificate chain to associate with the credential. This is a\nlist of DER-encoded certificates, starting from the leaf certificate,\nand may consist of a single certificate if no intermediate\ncertificates are necessary when authenticating with the source\ncluster."
              }
            }
          }
        ]
      },
      "CertificateReplicationCredential": {
        "allOf": [
          {
            "type": "object",
            "description": "Details about a certificate-based admin app credential used for account replication.",
            "properties": {
              "app_id": {
                "type": "string",
                "format": "uuid",
                "nullable": true,
                "description": "The ID of the source-side admin app that uses this credential."
              },
              "credential_id": {
                "$ref": "#/components/schemas/ReplicationCredentialId"
              },
              "certificate_chain": {
                "type": "array",
                "items": {
                  "type": "string",
                  "format": "byte"
                },
                "nullable": true,
                "description": "The certificate chain associated with the credential. This is a list of DER-encoded\ncertificates, starting from the leaf certificate, and can consist of a single certificate if\nno intermediate certificates are necessary when authenticating with the source cluster."
              }
            },
            "required": [
              "credential_id"
            ]
          }
        ]
      },
      "ReplicationCredentialId": {
        "description": "The ID of a replication credential.",
        "allOf": [
          {
            "type": "string"
          }
        ]
      }
    }
  }
}
````

